## stax 1.0

=== Makefile ===
FLAGS=-Wall

OBJS=clobber.o config.o coop.o input.o main.o puzzle.o shared.o shifty.o sucka.o

help:
	@echo
	@echo "Type 'make <platform>' where platform is linux or dos"
	@echo

linux: $(OBJS)
	gcc -o stax $(OBJS) `allegro-config --libs`

dos: $(OBJS)
	gcc -o stax.exe $(OBJS) -lalleg

$(OBJS): stax.h
.c.o:
	gcc -c $(FLAGS) $<

clean:
	@rm -f *~ *.o stax stax.exe

## stax 1.37

=== Makefile ===
# Very lazy makefile
# FIXME: remove debugging flags

help:
	@echo Type \"make linux\" or \"make windows\"

debug:
	g++ -g -DUNIX *.cpp -o stax `allegro-config --libs`
	exedat stax stax.dat

linux:
	g++ -DUNIX *.cpp -o stax `allegro-config --libs`
	strip stax
	exedat stax stax.dat

windows:
	g++ -mwindows *.cpp icon.res -o stax.exe -lalleg -lwinmm
	exedat stax.exe stax.dat

clean:
	rm -f stax stax.exe
	rm -f stax.hs
	rm -f stax.cfg

=== debian/changelog ===
stax (1.37-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:22:27 +1100

stax (1.37-2build1) noble; urgency=high

  * No change rebuild against liballegro4.4t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:55:57 +0100

stax (1.37-2) unstable; urgency=low

  * GCC-11 fixes (closes: #984354)
  * set CXX from buildtools.mk (closes: #916368)
  * dropped menu file as per Bug#741573

 -- Eduard Bloch <blade@debian.org>  Tue, 12 Oct 2021 13:29:36 +0200

stax (1.37-1) unstable; urgency=low

  * New upstream version, new upstream source
  * Upgraded packaging to dh(7) style and recent standards
  * Applied changes from Markus Koschany for .desktop file integration with
    some changes (closes: 738035)

 -- Eduard Bloch <blade@debian.org>  Tue, 22 Sep 2015 20:59:49 +0200

stax (1.0-13) unstable; urgency=low

  * yet another recompiled against a new Allegro version, this time really
    uploaded and so closes: #331549. Set Build-Depends on liballegro4.2-dev.

 -- Eduard Bloch <blade@debian.org>  Sun, 13 Nov 2005 23:23:33 +0100

stax (1.0-12) unstable; urgency=low

  * recompilation against the new Allegro version (closes: #331549)
  * formal updates: policy version, menu quotation, description format

 -- Eduard Bloch <blade@debian.org>  Tue,  4 Oct 2005 10:47:57 +0200

stax (1.0-11) unstable; urgency=low

  * recompilation against the new Allegro version

 -- Eduard Bloch <blade@debian.org>  Thu, 22 Aug 2002 20:34:29 +0200

stax (1.0-10) unstable; urgency=low

  * recompilation against the stable Allegro version

 -- Eduard Bloch <blade@debian.org>  Fri, 18 Jan 2002 15:08:42 +0100

stax (1.0-9) unstable; urgency=low

  * recompilation with the fixed Allegro version. Closes: #122925

 -- Eduard Bloch <blade@debian.org>  Sat,  8 Dec 2001 15:47:10 +0100

stax (1.0-8) unstable; urgency=low

  * recompilation for the new Allegro branch

 -- Eduard Bloch <blade@debian.org>  Wed, 21 Nov 2001 23:16:56 +0100

stax (1.0-7) unstable; urgency=low

  * recompilation for the new Allegro

 -- Eduard Bloch <blade@debian.org>  Wed, 17 Oct 2001 20:45:00 +0200

stax (1.0-6) unstable; urgency=low

  * recompiled with the new allegro packages, closes: #115261
  * droped UPX crap
  * cosmetical changes to appease lintian

 -- Eduard Bloch <blade@debian.org>  Thu, 11 Oct 2001 18:48:33 +0200

stax (1.0-5) unstable; urgency=low

  * changed Build-Depends: to build with allegro3937

 -- Eduard Bloch <blade@debian.org>  Mon, 30 Jul 2001 23:08:18 +0200

stax (1.0-4) unstable; urgency=low

  * removed Build-Depends, the breakage was not noticed because of broken
    dpkg-dev

 -- Eduard Bloch <blade@debian.org>  Wed, 20 Jun 2001 21:41:11 +0200

stax (1.0-3) unstable; urgency=low

  * hacked chdir into main.c, making shell wrapper obsolete, so removed it
  * set Build-Depends more accurate, closes: #99448

 -- Eduard Bloch <blade@debian.org>  Tue, 19 Jun 2001 09:09:03 +0200

stax (1.0-2) unstable; urgency=low

  * removed my changes from upstream source. there are more problems
    with paths than I expected previously.
  * placed binary in /usr/lib/games directory, wrote a shell wrapper to run
    it change to the dat directory an run the game from there. Ensures
    FHS compliancy and closes: #94098
  * changed menu entry to Tetris-like
  * uses new allegro3936 packages
  * uses dh-upx where possible

 -- Eduard Bloch <blade@debian.org>  Mon, 16 Apr 2001 17:29:46 +0200

stax (1.0-1) unstable; urgency=low

  * Initial Release.
  * hacked source to use our data paths
  * written a small manpage

 -- Eduard Bloch <blade@debian.org>  Thu, 12 Apr 2001 13:19:57 +0200

=== debian/control ===
Source: stax
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends: liballegro4.2-dev | liballegro4-dev (>= 4.2), debhelper (>= 10.0)
Standards-Version: 3.9.6

Package: stax
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: collection of puzzle games similar to Tetris Attack
 Another way of playing Tetris and some other cool puzzle games. Includes
 multiplayer feature and supports themes. Enjoy!

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
-include /usr/share/dpkg/buildtools.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_build:
#	$(MAKE) linux
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -DUNIX *.cpp -o stax `allegro-config --libs`

override_dh_auto_install:
	cp stax debian/stax/usr/games/stax
	dh_installman debian/stax.6
	cp *.dat debian/stax/usr/share/games/stax/
	install -m644 debian/stax.xpm debian/stax/usr/share/pixmaps
	install -m644 debian/stax.desktop debian/stax/usr/share/applications
